Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_storage_add_statement

## Name

librdf_storage_add_statement -- Add a statement to a storage

## Synopsis

``int `librdf_storage_add_statement`` (librdf_storage* `storage`, librdf_statement* `statement`);`

## Arguments

`storage`

  librdf_storage object

`statement`

  librdf_statement statement to add

## Description

The passed-in statement is copied when added to the store, not shared with the store.

## Return value

non 0 on failure

<<< Previous | Home | Next >>>
librdf_storage_size | Up | librdf_storage_add_statements